#include <stdio.h>
#include <stdlib.h>

int main()
{
    long long a, b, c,t;
    long long r1=0, r2=0, r3=0, r4=0, r5=0, r6=0, r=0;
    int niza[20], nizb[20], nizc[20],cif,ia=0,ib=0,ic=0,i,tmp;
    int niz1[20], niz2[20], niz3[20], niz4[20], niz5[20], niz6[20];
    scanf("%lld%lld%lld",&a,&b,&c);
    while(a>0)
    {
        cif=a%10;
        niza[ia]=cif;
        ia++;
        a=a/10;
    }
    cif=ia;
    for(i=0;i<ia/2;i++)
    {
        tmp=niza[i];
        niza[i]=niza[ia-1-i];
        niza[ia-1-i]=tmp;
    }

    while(b>0)
    {
        cif=b%10;
        nizb[ib]=cif;
        ib++;
        b=b/10;
    }

    for(i=0;i<ib/2;i++)
    {
        tmp=nizb[i];
        nizb[i]=nizb[ib-1-i];
        nizb[ib-1-i]=tmp;
    }

    while(c>0)
    {
        cif=c%10;
        nizc[ic]=cif;
        ic++;
        c=c/10;
    }
    cif=ic;
    for(i=0;i<ic/2;i++)
    {
        tmp=nizc[i];
        nizc[i]=nizc[ic-1-i];
        nizc[ic-1-i]=tmp;
    }

    for(i=0;i<ia;i++)
        niz1[i]=niza[i];

    for(i=ia;i<ib+ia;i++)
        niz1[i]=nizb[i-ia];

    for(i=ia+ib;i<ib+ia+ic;i++)
        niz1[i]=nizc[i-ia-ib];

    t=1;
    for(i=ia+ib+ic-1;i>=0;i--)
    {
        r1=r1+niz1[i]*t;
        t=t*10;
    }

    for(i=0;i<ia;i++)
        niz2[i]=niza[i];

    for(i=ia;i<ic+ia;i++)
        niz2[i]=nizc[i-ia];

    for(i=ia+ic;i<ib+ia+ic;i++)
        niz2[i]=nizb[i-ia-ic];

    t=1;

    for(i=ia+ib+ic-1;i>=0;i--)
    {
        r2=r2+niz2[i]*t;
        t=t*10;
    }

    for(i=0;i<ib;i++)
        niz3[i]=nizb[i];

    for(i=ib;i<ia+ib;i++)
        niz3[i]=niza[i-ib];

    for(i=ib+ia;i<ib+ia+ic;i++)
        niz3[i]=nizc[i-ib-ia];

    t=1;

    for(i=ia+ib+ic-1;i>=0;i--)
    {
        r3=r3+niz3[i]*t;
        t=t*10;
    }

    for(i=0;i<ib;i++)
        niz4[i]=nizb[i];

    for(i=ib;i<ic+ib;i++)
        niz4[i]=nizc[i-ib];

    for(i=ib+ic;i<ib+ia+ic;i++)
        niz4[i]=niza[i-ib-ic];

    t=1;

    for(i=ia+ib+ic-1;i>=0;i--)
    {
        r4=r4+niz4[i]*t;
        t=t*10;
    }

    for(i=0;i<ic;i++)
        niz5[i]=nizc[i];

    for(i=ic;i<ia+ic;i++)
        niz5[i]=niza[i-ic];

    for(i=ia+ic;i<ib+ia+ic;i++)
        niz5[i]=nizb[i-ia-ic];

    t=1;

    for(i=ia+ib+ic-1;i>=0;i--)
    {
        r5=r5+niz5[i]*t;
        t=t*10;
    }

    for(i=0;i<ic;i++)
        niz6[i]=nizc[i];

    for(i=ic;i<ib+ic;i++)
        niz6[i]=nizb[i-ic];

    for(i=ib+ic;i<ib+ia+ic;i++)
        niz6[i]=niza[i-ib-ic];

    t=1;

    for(i=ia+ib+ic-1;i>=0;i--)
    {
        r6=r6+niz6[i]*t;
        t=t*10;
    }

    if(r1>r)
        r=r1;
    if(r2>r)
        r=r2;
    if(r3>r)
        r=r3;
    if(r4>r)
        r=r4;
    if(r5>r)
        r=r5;
    if(r6>r)
        r=r6;

    printf("\n%lld", r);

    return 0;
}